c*****************************************************************
c* This is a Fortran 90 retrieval code to read and format the    *           
c* station inventory during the R/V Knorr nine Cruises along the *
c* WOCE Sections I08SI09S, I09N, I08NI05E, I03, I04I05W, I07N,   *
c* I01, I10, and I02 in the Indian Ocean                         *
c***************************************************************** 

c*Defines variables*

       INTEGER  stat, cast, depth
       REAL latdcm, londcm 
       CHARACTER expo*10, sect*4, date*10, time*4
       OPEN (unit=1, file='i**sta.dat')
       OPEN (unit=2, file='i**sta.data')
       write (2, 5)

c*Writes out column labels*

 5     format (1X,'EXPOCODE',8X,'SECT',2X,'STNBR',2X,'CAST',9X,
     2 'DATE',2X,'TIME',2X,'LATITUDE',2X,'LONGITUDE',2X,'DEPTH',/)
   
c*Sets up a loop to read and format all the data in the file*

       read (1, 6)
 6     format (////////)

 7     CONTINUE    
       read (1, 10, end=999) expo, sect, stat, cast, date, time,
     1 latdcm, londcm, depth

 10    format (1X, A10, 6X, A4, 3X, I4, 5X, I1, 3X, A10, 2X, A4, 3X,
     1 F7.3, 3X, F8.3, 3X, I4)
 
       write (2, 20) expo, sect, stat, cast, date, time,
     1 latdcm, londcm, depth

 20    format (1X, A10, 6X, A4, 3X, I4, 5X, I1, 3X, A10, 2X, A4, 3X,
     1 F7.3, 3X, F8.3, 3X, I4)

       GOTO 7
 999   close(unit=5)    
       close(unit=2)
       stop
       end
