c********************************************************************
c* FORTRAN 90 data retrieval routine to read and print the files    *
c* named "i**.dat"                                                  *
c********************************************************************
       CHARACTER qualt*15
       INTEGER sta, cast, bot, samp
       REAL pre, ctdtmp, ctdsal, ctdoxy, theta, sal, oxy, silca
       REAL nitrat, nitrit, phspht, cfc11, cfc12, tcarb, alkali
       REAL delc14, c14er, delc13
       OPEN (unit=1, file='i**.dat')
       OPEN (unit=2, file='i**.data')
       write (2, 5)

c*Writes out column labels*
 
 5     format (2X,'STNNBR',2X,'CASTNO',2X,'SAMPNO',2X,'BTLNBR',2X,
     1 'CTDPRS',2X,'CTDTMP',2X,'CTDSAL',2X,'CTDOXY',3X,'THETA',4X,
     2 'SALNTY',2X,'OXYGEN',2X,'SILCAT',2X,'NITRAT',2X,'NITRIT',2X,
     3 'PHSPHT',3X,'CFC-11',3X,'CFC-12',2X,'TCARBN',2X,'ALKALI',2X,
     4 'DELC14',2X,'C14ERR',2X,'DELC13',10X,'QUALT1',/,
     5 36X,'DBAR',2X,'ITS-90',2X,'PSS-78',1X,'UMOL/KG',
     6 2X,'ITS_90',4X,'PSS-78',1X,5('UMOL/KG',1X),1X,'PMOL/KG',2X,
     7 'PMOL/KG',1X,2('UMOL/KG',1X),1X,3('/MILLE',2X),13X,'*',/,
     8 25X,'*******',17X,2('*******',1X),10X,6('*******',1X),1X,
     9 '*******',2X,4('*******',1X),8X,"*******",15X,'*')

c*Sets up a loop to read and format all the data in the file*

       read (1, 6)
 6     format (//////////)

 7     CONTINUE
       read (1, 10, end=999) sta, cast, samp, bot, pre, ctdtmp,
     1 ctdsal, ctdoxy, theta, sal, oxy, silca, nitrat, nitrit,
     2 phspht, cfc11, cfc12, tcarb, alkali, delc14, c14er, delc13,
     3 qualt

 10    format (5X, I3, 7X, I1, 6X, I2, 6X, I2, 1X, F7.1, 1X, F7.4,
     1 1X, F7.4, 1X, F7.1, 1X, F7.4, 1X, F9.4, 1X, F7.1, 1X, F7.2,
     2 1X, F7.2, 1X, F7.2, 1X, F7.2, 1X, F8.3, 1X, F8.3, 1X, F7.1,
     3 1X, F7.1, 1X, F7.1, 1X, F7.1, 1X, F7.1, 1X, A15)

       write (2, 20) sta, cast, samp, bot, pre, ctdtmp,
     1 ctdsal, ctdoxy, theta, sal, oxy, silca, nitrat, nitrit,
     2 phspht, cfc11, cfc12, tcarb, alkali, delc14, c14er, delc13,
     3 qualt

 20    format (5X, I3, 7X, I1, 6X, I2, 6X, I2, 1X, F7.1, 1X, F7.4,
     1 1X, F7.4, 1X, F7.1, 1X, F7.4, 1X, F9.4, 1X, F7.1, 1X, F7.2,
     2 1X, F7.2, 1X, F7.2, 1X, F7.2, 1X, F8.3, 1X, F8.3, 1X, F7.1,
     3 1X, F7.1, 1X, F7.1, 1X, F7.1, 1X, F7.1, 1X, A15)
     

       GOTO 7
 999   close(unit=1)    
       close(unit=2)
       stop
       end
